Visitor (jakarta-bcel 5.2 API)
Keywords: org.apache.bcel.generic.Visitor interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.generic
Interface Visitor

All Known Implementing Classes:
  EmptyVisitor, ExecutionVisitor, InstConstraintVisitor

    public interface Visitor

Interface implementing the Visitor pattern programming style. I.e., a class that implements this interface can handle all types of instructions with the properly typed methods just by calling the accept() method.

Version:
  $Id: Visitor.java 386056 2006-03-15 11:31:56Z tcurdt $

Method Summary
`void` | `visitAALOAD(AALOAD obj)`
`void` | `visitAASTORE(AASTORE obj)`
`void` | `visitACONST_NULL(ACONST_NULL obj)`
`void` | `visitAllocationInstruction(AllocationInstruction obj)`
`void` | `visitALOAD(ALOAD obj)`
`void` | `visitANEWARRAY(ANEWARRAY obj)`
`void` | `visitARETURN(ARETURN obj)`
`void` | `visitArithmeticInstruction(ArithmeticInstruction obj)`
`void` | `visitArrayInstruction(ArrayInstruction obj)`
`void` | `visitARRAYLENGTH(ARRAYLENGTH obj)`
`void` | `visitASTORE(ASTORE obj)`
`void` | `visitATHROW(ATHROW obj)`
`void` | `visitBALOAD(BALOAD obj)`
`void` | `visitBASTORE(BASTORE obj)`
`void` | `visitBIPUSH(BIPUSH obj)`
`void` | `visitBranchInstruction(BranchInstruction obj)`
`void` | `visitBREAKPOINT(BREAKPOINT obj)`
`void` | `visitCALOAD(CALOAD obj)`
`void` | `visitCASTORE(CASTORE obj)`
`void` | `visitCHECKCAST(CHECKCAST obj)`
`void` | `visitConstantPushInstruction(ConstantPushInstruction obj)`
`void` | `visitConversionInstruction(ConversionInstruction obj)`
`void` | `visitCPInstruction(CPInstruction obj)`
`void` | `visitD2F(D2F obj)`
`void` | `visitD2I(D2I obj)`
`void` | `visitD2L(D2L obj)`
`void` | `visitDADD(DADD obj)`
`void` | `visitDALOAD(DALOAD obj)`
`void` | `visitDASTORE(DASTORE obj)`
`void` | `visitDCMPG(DCMPG obj)`
`void` | `visitDCMPL(DCMPL obj)`
`void` | `visitDCONST(DCONST obj)`
`void` | `visitDDIV(DDIV obj)`
`void` | `visitDLOAD(DLOAD obj)`
`void` | `visitDMUL(DMUL obj)`
`void` | `visitDNEG(DNEG obj)`
`void` | `visitDREM(DREM obj)`
`void` | `visitDRETURN(DRETURN obj)`
`void` | `visitDSTORE(DSTORE obj)`
`void` | `visitDSUB(DSUB obj)`
`void` | `visitDUP_X1(DUP_X1 obj)`
`void` | `visitDUP_X2(DUP_X2 obj)`
`void` | `visitDUP(DUP obj)`
`void` | `visitDUP2_X1(DUP2_X1 obj)`
`void` | `visitDUP2_X2(DUP2_X2 obj)`
`void` | `visitDUP2(DUP2 obj)`
`void` | `visitExceptionThrower(ExceptionThrower obj)`
`void` | `visitF2D(F2D obj)`
`void` | `visitF2I(F2I obj)`
`void` | `visitF2L(F2L obj)`
`void` | `visitFADD(FADD obj)`
`void` | `visitFALOAD(FALOAD obj)`
`void` | `visitFASTORE(FASTORE obj)`
`void` | `visitFCMPG(FCMPG obj)`
`void` | `visitFCMPL(FCMPL obj)`
`void` | `visitFCONST(FCONST obj)`
`void` | `visitFDIV(FDIV obj)`
`void` | `visitFieldInstruction(FieldInstruction obj)`
`void` | `visitFieldOrMethod(FieldOrMethod obj)`
`void` | `visitFLOAD(FLOAD obj)`
`void` | `visitFMUL(FMUL obj)`
`void` | `visitFNEG(FNEG obj)`
`void` | `visitFREM(FREM obj)`
`void` | `visitFRETURN(FRETURN obj)`
`void` | `visitFSTORE(FSTORE obj)`
`void` | `visitFSUB(FSUB obj)`
`void` | `visitGETFIELD(GETFIELD obj)`
`void` | `visitGETSTATIC(GETSTATIC obj)`
`void` | `visitGOTO_W(GOTO_W obj)`
`void` | `visitGOTO(GOTO obj)`
`void` | `visitGotoInstruction(GotoInstruction obj)`
`void` | `visitI2B(I2B obj)`
`void` | `visitI2C(I2C obj)`
`void` | `visitI2D(I2D obj)`
`void` | `visitI2F(I2F obj)`
`void` | `visitI2L(I2L obj)`
`void` | `visitI2S(I2S obj)`
`void` | `visitIADD(IADD obj)`
`void` | `visitIALOAD(IALOAD obj)`
`void` | `visitIAND(IAND obj)`
`void` | `visitIASTORE(IASTORE obj)`
`void` | `visitICONST(ICONST obj)`
`void` | `visitIDIV(IDIV obj)`
`void` | `visitIF_ACMPEQ(IF_ACMPEQ obj)`
`void` | `visitIF_ACMPNE(IF_ACMPNE obj)`
`void` | `visitIF_ICMPEQ(IF_ICMPEQ obj)`
`void` | `visitIF_ICMPGE(IF_ICMPGE obj)`
`void` | `visitIF_ICMPGT(IF_ICMPGT obj)`
`void` | `visitIF_ICMPLE(IF_ICMPLE obj)`
`void` | `visitIF_ICMPLT(IF_ICMPLT obj)`
`void` | `visitIF_ICMPNE(IF_ICMPNE obj)`
`void` | `visitIFEQ(IFEQ obj)`
`void` | `visitIFGE(IFGE obj)`
`void` | `visitIFGT(IFGT obj)`
`void` | `visitIfInstruction(IfInstruction obj)`
`void` | `visitIFLE(IFLE obj)`
`void` | `visitIFLT(IFLT obj)`
`void` | `visitIFNE(IFNE obj)`
`void` | `visitIFNONNULL(IFNONNULL obj)`
`void` | `visitIFNULL(IFNULL obj)`
`void` | `visitIINC(IINC obj)`
`void` | `visitILOAD(ILOAD obj)`
`void` | `visitIMPDEP1(IMPDEP1 obj)`
`void` | `visitIMPDEP2(IMPDEP2 obj)`
`void` | `visitIMUL(IMUL obj)`
`void` | `visitINEG(INEG obj)`
`void` | `visitINSTANCEOF(INSTANCEOF obj)`
`void` | `visitInvokeInstruction(InvokeInstruction obj)`
`void` | `visitINVOKEINTERFACE(INVOKEINTERFACE obj)`
`void` | `visitINVOKESPECIAL(INVOKESPECIAL obj)`
`void` | `visitINVOKESTATIC(INVOKESTATIC obj)`
`void` | `visitINVOKEVIRTUAL(INVOKEVIRTUAL obj)`
`void` | `visitIOR(IOR obj)`
`void` | `visitIREM(IREM obj)`
`void` | `visitIRETURN(IRETURN obj)`
`void` | `visitISHL(ISHL obj)`
`void` | `visitISHR(ISHR obj)`
`void` | `visitISTORE(ISTORE obj)`
`void` | `visitISUB(ISUB obj)`
`void` | `visitIUSHR(IUSHR obj)`
`void` | `visitIXOR(IXOR obj)`
`void` | `visitJSR_W(JSR_W obj)`
`void` | `visitJSR(JSR obj)`
`void` | `visitJsrInstruction(JsrInstruction obj)`
`void` | `visitL2D(L2D obj)`
`void` | `visitL2F(L2F obj)`
`void` | `visitL2I(L2I obj)`
`void` | `visitLADD(LADD obj)`
`void` | `visitLALOAD(LALOAD obj)`
`void` | `visitLAND(LAND obj)`
`void` | `visitLASTORE(LASTORE obj)`
`void` | `visitLCMP(LCMP obj)`
`void` | `visitLCONST(LCONST obj)`
`void` | `visitLDC(LDC obj)`
`void` | `visitLDC2_W(LDC2_W obj)`
`void` | `visitLDIV(LDIV obj)`
`void` | `visitLLOAD(LLOAD obj)`
`void` | `visitLMUL(LMUL obj)`
`void` | `visitLNEG(LNEG obj)`
`void` | `visitLoadClass(LoadClass obj)`
`void` | `visitLoadInstruction(LoadInstruction obj)`
`void` | `visitLocalVariableInstruction(LocalVariableInstruction obj)`
`void` | `visitLOOKUPSWITCH(LOOKUPSWITCH obj)`
`void` | `visitLOR(LOR obj)`
`void` | `visitLREM(LREM obj)`
`void` | `visitLRETURN(LRETURN obj)`
`void` | `visitLSHL(LSHL obj)`
`void` | `visitLSHR(LSHR obj)`
`void` | `visitLSTORE(LSTORE obj)`
`void` | `visitLSUB(LSUB obj)`
`void` | `visitLUSHR(LUSHR obj)`
`void` | `visitLXOR(LXOR obj)`
`void` | `visitMONITORENTER(MONITORENTER obj)`
`void` | `visitMONITOREXIT(MONITOREXIT obj)`
`void` | `visitMULTIANEWARRAY(MULTIANEWARRAY obj)`
`void` | `visitNEW(NEW obj)`
`void` | `visitNEWARRAY(NEWARRAY obj)`
`void` | `visitNOP(NOP obj)`
`void` | `visitPOP(POP obj)`
`void` | `visitPOP2(POP2 obj)`
`void` | `visitPopInstruction(PopInstruction obj)`
`void` | `visitPushInstruction(PushInstruction obj)`
`void` | `visitPUTFIELD(PUTFIELD obj)`
`void` | `visitPUTSTATIC(PUTSTATIC obj)`
`void` | `visitRET(RET obj)`
`void` | `visitRETURN(RETURN obj)`
`void` | `visitReturnInstruction(ReturnInstruction obj)`
`void` | `visitSALOAD(SALOAD obj)`
`void` | `visitSASTORE(SASTORE obj)`
`void` | `visitSelect(Select obj)`
`void` | `visitSIPUSH(SIPUSH obj)`
`void` | `visitStackConsumer(StackConsumer obj)`
`void` | `visitStackInstruction(StackInstruction obj)`
`void` | `visitStackProducer(StackProducer obj)`
`void` | `visitStoreInstruction(StoreInstruction obj)`
`void` | `visitSWAP(SWAP obj)`
`void` | `visitTABLESWITCH(TABLESWITCH obj)`
`void` | `visitTypedInstruction(TypedInstruction obj)`
`void` | `visitUnconditionalBranch(UnconditionalBranch obj)`
`void` | `visitVariableLengthInstruction(VariableLengthInstruction obj)`

Method Detail

### visitStackInstruction

    void visitStackInstruction(StackInstruction obj)

### visitLocalVariableInstruction

    void visitLocalVariableInstruction(LocalVariableInstruction obj)

### visitBranchInstruction

    void visitBranchInstruction(BranchInstruction obj)

### visitLoadClass

    void visitLoadClass(LoadClass obj)

### visitFieldInstruction

    void visitFieldInstruction(FieldInstruction obj)

### visitIfInstruction

    void visitIfInstruction(IfInstruction obj)

### visitConversionInstruction

    void visitConversionInstruction(ConversionInstruction obj)

### visitPopInstruction

    void visitPopInstruction(PopInstruction obj)

### visitStoreInstruction

    void visitStoreInstruction(StoreInstruction obj)

### visitTypedInstruction

    void visitTypedInstruction(TypedInstruction obj)

### visitSelect

    void visitSelect(Select obj)

### visitJsrInstruction

    void visitJsrInstruction(JsrInstruction obj)

### visitGotoInstruction

    void visitGotoInstruction(GotoInstruction obj)

### visitUnconditionalBranch

    void visitUnconditionalBranch(UnconditionalBranch obj)

### visitPushInstruction

    void visitPushInstruction(PushInstruction obj)

### visitArithmeticInstruction

    void visitArithmeticInstruction(ArithmeticInstruction obj)

### visitCPInstruction

    void visitCPInstruction(CPInstruction obj)

### visitInvokeInstruction

    void visitInvokeInstruction(InvokeInstruction obj)

### visitArrayInstruction

    void visitArrayInstruction(ArrayInstruction obj)

### visitAllocationInstruction

    void visitAllocationInstruction(AllocationInstruction obj)

### visitReturnInstruction

    void visitReturnInstruction(ReturnInstruction obj)

### visitFieldOrMethod

    void visitFieldOrMethod(FieldOrMethod obj)

### visitConstantPushInstruction

    void visitConstantPushInstruction(ConstantPushInstruction obj)

### visitExceptionThrower

    void visitExceptionThrower(ExceptionThrower obj)

### visitLoadInstruction

    void visitLoadInstruction(LoadInstruction obj)

### visitVariableLengthInstruction

    void visitVariableLengthInstruction(VariableLengthInstruction obj)

### visitStackProducer

    void visitStackProducer(StackProducer obj)

### visitStackConsumer

    void visitStackConsumer(StackConsumer obj)

### visitACONST_NULL

    void visitACONST_NULL(ACONST_NULL obj)

### visitGETSTATIC

    void visitGETSTATIC(GETSTATIC obj)

### visitIF_ICMPLT

    void visitIF_ICMPLT(IF_ICMPLT obj)

### visitMONITOREXIT

    void visitMONITOREXIT(MONITOREXIT obj)

### visitIFLT

    void visitIFLT(IFLT obj)

### visitLSTORE

    void visitLSTORE(LSTORE obj)

### visitPOP2

    void visitPOP2(POP2 obj)

### visitBASTORE

    void visitBASTORE(BASTORE obj)

### visitISTORE

    void visitISTORE(ISTORE obj)

### visitCHECKCAST

    void visitCHECKCAST(CHECKCAST obj)

### visitFCMPG

    void visitFCMPG(FCMPG obj)

### visitI2F

    void visitI2F(I2F obj)

### visitATHROW

    void visitATHROW(ATHROW obj)

### visitDCMPL

    void visitDCMPL(DCMPL obj)

### visitARRAYLENGTH

    void visitARRAYLENGTH(ARRAYLENGTH obj)

### visitDUP

    void visitDUP(DUP obj)

### visitINVOKESTATIC

    void visitINVOKESTATIC(INVOKESTATIC obj)

### visitLCONST

    void visitLCONST(LCONST obj)

### visitDREM

    void visitDREM(DREM obj)

### visitIFGE

    void visitIFGE(IFGE obj)

### visitCALOAD

    void visitCALOAD(CALOAD obj)

### visitLASTORE

    void visitLASTORE(LASTORE obj)

### visitI2D

    void visitI2D(I2D obj)

### visitDADD

    void visitDADD(DADD obj)

### visitINVOKESPECIAL

    void visitINVOKESPECIAL(INVOKESPECIAL obj)

### visitIAND

    void visitIAND(IAND obj)

### visitPUTFIELD

    void visitPUTFIELD(PUTFIELD obj)

### visitILOAD

    void visitILOAD(ILOAD obj)

### visitDLOAD

    void visitDLOAD(DLOAD obj)

### visitDCONST

    void visitDCONST(DCONST obj)

### visitNEW

    void visitNEW(NEW obj)

### visitIFNULL

    void visitIFNULL(IFNULL obj)

### visitLSUB

    void visitLSUB(LSUB obj)

### visitL2I

    void visitL2I(L2I obj)

### visitISHR

    void visitISHR(ISHR obj)

### visitTABLESWITCH

    void visitTABLESWITCH(TABLESWITCH obj)

### visitIINC

    void visitIINC(IINC obj)

### visitDRETURN

    void visitDRETURN(DRETURN obj)

### visitFSTORE

    void visitFSTORE(FSTORE obj)

### visitDASTORE

    void visitDASTORE(DASTORE obj)

### visitIALOAD

    void visitIALOAD(IALOAD obj)

### visitDDIV

    void visitDDIV(DDIV obj)

### visitIF_ICMPGE

    void visitIF_ICMPGE(IF_ICMPGE obj)

### visitLAND

    void visitLAND(LAND obj)

### visitIDIV

    void visitIDIV(IDIV obj)

### visitLOR

    void visitLOR(LOR obj)

### visitCASTORE

    void visitCASTORE(CASTORE obj)

### visitFREM

    void visitFREM(FREM obj)

### visitLDC

    void visitLDC(LDC obj)

### visitBIPUSH

    void visitBIPUSH(BIPUSH obj)

### visitDSTORE

    void visitDSTORE(DSTORE obj)

### visitF2L

    void visitF2L(F2L obj)

### visitFMUL

    void visitFMUL(FMUL obj)

### visitLLOAD

    void visitLLOAD(LLOAD obj)

### visitJSR

    void visitJSR(JSR obj)

### visitFSUB

    void visitFSUB(FSUB obj)

### visitSASTORE

    void visitSASTORE(SASTORE obj)

### visitALOAD

    void visitALOAD(ALOAD obj)

### visitDUP2_X2

    void visitDUP2_X2(DUP2_X2 obj)

### visitRETURN

    void visitRETURN(RETURN obj)

### visitDALOAD

    void visitDALOAD(DALOAD obj)

### visitSIPUSH

    void visitSIPUSH(SIPUSH obj)

### visitDSUB

    void visitDSUB(DSUB obj)

### visitL2F

    void visitL2F(L2F obj)

### visitIF_ICMPGT

    void visitIF_ICMPGT(IF_ICMPGT obj)

### visitF2D

    void visitF2D(F2D obj)

### visitI2L

    void visitI2L(I2L obj)

### visitIF_ACMPNE

    void visitIF_ACMPNE(IF_ACMPNE obj)

### visitPOP

    void visitPOP(POP obj)

### visitI2S

    void visitI2S(I2S obj)

### visitIFEQ

    void visitIFEQ(IFEQ obj)

### visitSWAP

    void visitSWAP(SWAP obj)

### visitIOR

    void visitIOR(IOR obj)

### visitIREM

    void visitIREM(IREM obj)

### visitIASTORE

    void visitIASTORE(IASTORE obj)

### visitNEWARRAY

    void visitNEWARRAY(NEWARRAY obj)

### visitINVOKEINTERFACE

    void visitINVOKEINTERFACE(INVOKEINTERFACE obj)

### visitINEG

    void visitINEG(INEG obj)

### visitLCMP

    void visitLCMP(LCMP obj)

### visitJSR_W

    void visitJSR_W(JSR_W obj)

### visitMULTIANEWARRAY

    void visitMULTIANEWARRAY(MULTIANEWARRAY obj)

### visitDUP_X2

    void visitDUP_X2(DUP_X2 obj)

### visitSALOAD

    void visitSALOAD(SALOAD obj)

### visitIFNONNULL

    void visitIFNONNULL(IFNONNULL obj)

### visitDMUL

    void visitDMUL(DMUL obj)

### visitIFNE

    void visitIFNE(IFNE obj)

### visitIF_ICMPLE

    void visitIF_ICMPLE(IF_ICMPLE obj)

### visitLDC2_W

    void visitLDC2_W(LDC2_W obj)

### visitGETFIELD

    void visitGETFIELD(GETFIELD obj)

### visitLADD

    void visitLADD(LADD obj)

### visitNOP

    void visitNOP(NOP obj)

### visitFALOAD

    void visitFALOAD(FALOAD obj)

### visitINSTANCEOF

    void visitINSTANCEOF(INSTANCEOF obj)

### visitIFLE

    void visitIFLE(IFLE obj)

### visitLXOR

    void visitLXOR(LXOR obj)

### visitLRETURN

    void visitLRETURN(LRETURN obj)

### visitFCONST

    void visitFCONST(FCONST obj)

### visitIUSHR

    void visitIUSHR(IUSHR obj)

### visitBALOAD

    void visitBALOAD(BALOAD obj)

### visitDUP2

    void visitDUP2(DUP2 obj)

### visitIF_ACMPEQ

    void visitIF_ACMPEQ(IF_ACMPEQ obj)

### visitIMPDEP1

    void visitIMPDEP1(IMPDEP1 obj)

### visitMONITORENTER

    void visitMONITORENTER(MONITORENTER obj)

### visitLSHL

    void visitLSHL(LSHL obj)

### visitDCMPG

    void visitDCMPG(DCMPG obj)

### visitD2L

    void visitD2L(D2L obj)

### visitIMPDEP2

    void visitIMPDEP2(IMPDEP2 obj)

### visitL2D

    void visitL2D(L2D obj)

### visitRET

    void visitRET(RET obj)

### visitIFGT

    void visitIFGT(IFGT obj)

### visitIXOR

    void visitIXOR(IXOR obj)

### visitINVOKEVIRTUAL

    void visitINVOKEVIRTUAL(INVOKEVIRTUAL obj)

### visitFASTORE

    void visitFASTORE(FASTORE obj)

### visitIRETURN

    void visitIRETURN(IRETURN obj)

### visitIF_ICMPNE

    void visitIF_ICMPNE(IF_ICMPNE obj)

### visitFLOAD

    void visitFLOAD(FLOAD obj)

### visitLDIV

    void visitLDIV(LDIV obj)

### visitPUTSTATIC

    void visitPUTSTATIC(PUTSTATIC obj)

### visitAALOAD

    void visitAALOAD(AALOAD obj)

### visitD2I

    void visitD2I(D2I obj)

### visitIF_ICMPEQ

    void visitIF_ICMPEQ(IF_ICMPEQ obj)

### visitAASTORE

    void visitAASTORE(AASTORE obj)

### visitARETURN

    void visitARETURN(ARETURN obj)

### visitDUP2_X1

    void visitDUP2_X1(DUP2_X1 obj)

### visitFNEG

    void visitFNEG(FNEG obj)

### visitGOTO_W

    void visitGOTO_W(GOTO_W obj)

### visitD2F

    void visitD2F(D2F obj)

### visitGOTO

    void visitGOTO(GOTO obj)

### visitISUB

    void visitISUB(ISUB obj)

### visitF2I

    void visitF2I(F2I obj)

### visitDNEG

    void visitDNEG(DNEG obj)

### visitICONST

    void visitICONST(ICONST obj)

### visitFDIV

    void visitFDIV(FDIV obj)

### visitI2B

    void visitI2B(I2B obj)

### visitLNEG

    void visitLNEG(LNEG obj)

### visitLREM

    void visitLREM(LREM obj)

### visitIMUL

    void visitIMUL(IMUL obj)

### visitIADD

    void visitIADD(IADD obj)

### visitLSHR

    void visitLSHR(LSHR obj)

### visitLOOKUPSWITCH

    void visitLOOKUPSWITCH(LOOKUPSWITCH obj)

### visitDUP_X1

    void visitDUP_X1(DUP_X1 obj)

### visitFCMPL

    void visitFCMPL(FCMPL obj)

### visitI2C

    void visitI2C(I2C obj)

### visitLMUL

    void visitLMUL(LMUL obj)

### visitLUSHR

    void visitLUSHR(LUSHR obj)

### visitISHL

    void visitISHL(ISHL obj)

### visitLALOAD

    void visitLALOAD(LALOAD obj)

### visitASTORE

    void visitASTORE(ASTORE obj)

### visitANEWARRAY

    void visitANEWARRAY(ANEWARRAY obj)

### visitFRETURN

    void visitFRETURN(FRETURN obj)

### visitFADD

    void visitFADD(FADD obj)

### visitBREAKPOINT

    void visitBREAKPOINT(BREAKPOINT obj)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.